Bug 201481 - Update port: database/p5-CDB_File 0.97 -> 0.98
Summary: Update port: database/p5-CDB_File 0.97 -> 0.98
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-11 19:17 UTC by nistor
Modified: 2015-07-12 16:11 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description nistor 2015-07-11 19:17:33 UTC
Hi,

Had to submit via this since 'port submit' is listed as currently broken.  Please update:
===

diff -ruN p5-CDB_File.orig/Makefile p5-CDB_File/Makefile
--- p5-CDB_File.orig/Makefile	2015-07-11 15:11:04.000000000 -0400
+++ p5-CDB_File/Makefile	2015-07-11 15:11:54.000000000 -0400
@@ -2,8 +2,8 @@
 # $FreeBSD: head/databases/p5-CDB_File/Makefile 387860 2015-05-29 14:29:58Z amdmi3 $

 PORTNAME=	CDB_File
-PORTVERSION=	0.97
-PORTREVISION=	2
+PORTVERSION=	0.98
+PORTREVISION=	1
 CATEGORIES=	databases perl5
 MASTER_SITES=	CPAN
 PKGNAMEPREFIX=	p5-
@@ -11,6 +11,11 @@
 MAINTAINER=	nistor@snickers.org
 COMMENT=	Perl5 interface to the CDB package

+LICENSE=	ART10 GPLv1
+LICENSE_COMB=	dual
+
+NO_ARCH=	yes
+
 USES=		perl5 shebangfix
 SHEBANG_FILES=	bun-x.pl
 USE_PERL5=	configure
diff -ruN p5-CDB_File.orig/distinfo p5-CDB_File/distinfo
--- p5-CDB_File.orig/distinfo	2015-07-11 15:11:04.000000000 -0400
+++ p5-CDB_File/distinfo	2015-07-11 15:12:03.000000000 -0400
@@ -1,2 +1,2 @@
-SHA256 (CDB_File-0.97.tar.gz) = 9602f924f257627578455a2c695af52e09b44481e14993ee8c5e86510c946d6b
-SIZE (CDB_File-0.97.tar.gz) = 16516
+SHA256 (CDB_File-0.98.tar.gz) = 576a5617040f39d26ace6693d921d7b31e91212f718ab4e852694c7bc6d1b990
+SIZE (CDB_File-0.98.tar.gz) = 59965

===


Thanks!
Comment 1 commit-hook freebsd_committer 2015-07-12 16:09:12 UTC
A commit references this bug:

Author: sunpoet
Date: Sun Jul 12 16:08:47 UTC 2015
New revision: 391807
URL: https://svnweb.freebsd.org/changeset/ports/391807

Log:
  - Update to 0.98
  - Add LICENSE
  - Add NO_ARCH

  Changes:	http://search.cpan.org/dist/CDB_File/CHANGES
  PR:		201481
  Submitted by:	Jon Nistor <nistor@snickers.org> (maintainer)

Changes:
  head/databases/p5-CDB_File/Makefile
  head/databases/p5-CDB_File/distinfo
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2015-07-12 16:11:16 UTC
Committed. Thanks!